#
# You need to have cudd installed.  
# Set CUDD_HOME to the root of your CUDD installation.
#

CC = g++

THIRD_PARTY_DIR = third_party

# Define the include directory.
INCLUDE_DIR = -I$(THIRD_PARTY_DIR)/include
# Define directory where the libraries reside.
LIB_DIR = -L$(THIRD_PARTY_DIR)/lib
# Library flags.
LIBS= -lcudd

all: ex1 ex2

ex1: ex1.o
	$(CC) -g ex1.o -o $@ $(LIB_DIR) $(LIBS) 
ex1.o: src/ex1.cpp
	$(CC) -c -g $(INCLUDE_DIR) src/ex1.cpp -o $@

ex2: ex2.o
	$(CC) -g ex2.o -o $@ $(LIB_DIR) $(LIBS) 
ex2.o: src/ex2.cpp
	$(CC) -c -g $(INCLUDE_DIR) src/ex2.cpp -o $@

clean:
	rm -f *.o
	rm -f ex1
	rm -f ex2
	rm -f *.dot

.PHONY: all